using Forks.EnterpriseServices.DataDictionary;
using Forks.EnterpriseServices.DomainObjects2;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ButcherFactory.BO
{
  [MapToTable("Butcher_SegmentSaleOut_Detail")]
  [KeyField("ID", KeyGenType.identity)]
  [DBIndex("IDX_Butcher_SegmentSaleOut_Detail_Clustered", "BarCode", false, 0)]
  [DBIndexType("IDX_Butcher_SegmentSaleOut_Detail_Clustered", IndexType.Clustered)]
  public class SegmentSaleOut_Detail
  {
    public SegmentSaleOut_Detail()
    {
      Time = DateTime.Now;
    }

    public long ID { get; set; }

    public long? BillID { get; set; }

    public long? DetailID { get; set; }

    public string BarCode { get; set; }

    [NonDmoProperty]
    public string ShortCode
    {
      get
      {
        if (string.IsNullOrEmpty(BarCode))
          return null;
        if (BarCode.Contains("260912011"))
          return BarCode.Replace("260912011", "");
        return BarCode;
      }
    }

    public long? Goods_ID { get; set; }

    public string Goods_Name { get; set; }

    public string Goods_Code { get; set; }

    public long? ProductBatch_ID { get; set; }

    public decimal Number { get; set; }

    public decimal? DiscontWeight { get; set; }

    public decimal? SecondNumber { get; set; }

    [NonDmoProperty]
    public int Idx { get; set; }

    public DateTime Time { get; set; }

    public long? WeightRecord_ID { get; set; }

    public long? ScanRecord_ID { get; set; }

    public string Operator { get; set; }
  }
}
